
Redmine - Defect #1262

Subversion repository "View differences" on each file rise ERROR

2008-05-20 12:26 - Sergej Jegorov

Status: Closed Start date: 2008-05-20

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

Redmine revision 1438.

When I go to project repository -> Revision #xxx, I see changed/added/deleted file list. If file is changed, there are "View differencies"

link in the right. I click on the link and got an error.

Annalise redmine logfile I find that error message:

Fragment read: repositories/diff/41/e78d09cdd7ef569bf289310035e7eeb6 (0.00043)

Shelling out: svn diff -r 617:618 'http://svn.elgama.lt/svn/saugykla/software/sharaga/software/sha

raga/trunk/src/RemSkaitikliai/RemSkSiuntos.Designer.cs'@618 --username 'xxx' --password 'xxx'

 But repository URL must be:

http://svn.elgama.lt/svn/saugykla/software/sharaga/trunk/src/RemSkaitikliai/RemSkSiuntos.Designer.

cs

without duplicated software/sharaga/ in a URL.    

Something wrong in URL generation algorithm

But if I click on "View differencies" to view differences all of files, then all OK, Differences displayed correctly.

Thanks.

Related issues:

Related to Redmine - Defect #1275: View differences for individual file of a ... Closed 2008-05-21

Associated revisions

Revision 1446 - 2008-05-24 19:58 - Jean-Philippe Lang

Fixed: View differences for individual file of a changeset fails if the subversion repository URL doesn't point to the repository root (#1209, #1262,

#1275).

History

#1 - 2008-05-21 18:43 - Sergej Jegorov

I found that error occurs if Redmine project Identifier and subversion repository URL contains the same word.

i.e.: We have Redmine project Identifier sharaga and repository URL in this project: "http://svn.elgama.lt/svn/saugykla/software/sharaga".

If I create a new project with another Identifier ("aaa") with the same as above svn URL, then "View differencies" works fine.

#2 - 2008-05-21 18:47 - Sergej Jegorov

The same problem in #1275

#3 - 2008-05-24 19:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed
https://www.redmine.org/issues/1275


Fixed in r1446.
